Avaya Client Services API Reference (iOS)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Properties | List of all members
CSAMMConfiguration Class Reference

Configuration information for AMM. More...

`#import <CSAMMConfiguration.h>`

Inherits NSObject.

## Properties
BOOL | enabled
| A Boolean value indicating whether the AMM provider is enabled. More...
CSServerInfo * | server
| The signaling server to connect with. More...
id< CSCredentialProvider > | credentialProvider
| The credential provider. More...
NSUInteger | pollingIntervalInMinutes
| Polling interval (0 implies long polling). More...
BOOL | pushNotificationsEnabled
| A Boolean value indicating whether Push Notifications are enabled. More...
NSData * | remoteNotificationsDeviceToken
| A unique app-device token assigned by Apple to an application instance running in a specific iOS device. More...
BOOL | useDevelopmentPushNotificationNetwork
| A Boolean value indicating whether incoming push notification events should be sent through Apple's development push notification network (api.development.push.apple.com) or the production push notification network (api.push.apple.com). More...

## Detailed Description

Configuration information for AMM.

## Property Documentation

- (id<CSCredentialProvider>) credentialProvider
| read write nonatomic weak

The credential provider.

- (BOOL) enabled
| read write nonatomic assign

A Boolean value indicating whether the AMM provider is enabled.

- (NSUInteger) pollingIntervalInMinutes
| read write nonatomic assign

Polling interval (0 implies long polling).

- (BOOL) pushNotificationsEnabled
| read write nonatomic assign

A Boolean value indicating whether Push Notifications are enabled.

- (NSData*) remoteNotificationsDeviceToken
| read write nonatomic copy

A unique app-device token assigned by Apple to an application instance running in a specific iOS device.

This is used by the Avaya Multimedia Messaging (AMM) server when sending messaging events towards the push notification client.

- (CSServerInfo*) server
| read write nonatomic strong

The signaling server to connect with.

- (BOOL) useDevelopmentPushNotificationNetwork
| read write nonatomic assign

A Boolean value indicating whether incoming push notification events should be sent through Apple's development push notification network (api.development.push.apple.com) or the production push notification network (api.push.apple.com).

The Boolean flag is set to YES if the application is built using a development provisioning profile. By default, the property is set to NO, and Apple's production network is used to route push notification messages.

The documentation for this class was generated from the following file:

- CSAMMConfiguration.h